/**
 * Difference of the matrix function over the parameters
 * @ignore
 * @param {{x:ArrayLike<number>, y:ArrayLike<number>}} data - Array of points to fit in the format [x1, x2, ... ], [y1, y2, ... ]
 * @param {ArrayLike<number>} evaluatedData - Array of previous evaluated function values
 * @param {Array<number>} params - Array of previous parameter values
 * @param {number|array} gradientDifference - The step size to approximate the jacobian matrix
 * @param {boolean} centralDifference - If true the jacobian matrix is approximated by central differences otherwise by forward differences
 * @param {function} paramFunction - The parameters and returns a function with the independent variable as a parameter
 * @return {Matrix}
 */
export default function gradientFunction(data: {
    x: ArrayLike<number>;
    y: ArrayLike<number>;
}, evaluatedData: ArrayLike<number>, params: Array<number>, gradientDifference: number | any[], paramFunction: Function, centralDifference: boolean): Matrix;
import { Matrix } from 'ml-matrix';
//# sourceMappingURL=gradientFunction.d.ts.map